/*
   Widgetklasse:	XwRotLabelWidgetClass
      

$Revision: 1.1 $

$Log: WRotLabel.h,v $
Revision 1.1  2002/09/24 16:33:07  keidel
added Rotating Label Widget

*/
/*
        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2, or (at your option)
        any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/******************************************************************
   Widgetklasse:	XwRotLabelWidgetClass

   written by: 	WizAnt Software
   		Jrgen Keidel  
   		Bergstrasse 15
   		D 85080 Gaimersheim
   		Tel: D  08406 379
   		E-mail: wizant.keidel@freenet.de
   		2002
                                                                  
******************************************************************/

/*
	The Widget is based on stuff from the FastLabelWidget written by 
	Gregory M. Messner in the Module  : Xg Widget Set
 
*/



#ifndef _XwRotLabel_h
#define _XwRotLabel_h



#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */



extern WidgetClass			xwRotLabelWidgetClass;
typedef struct _XwRotLabelClassRec	*XwRotLabelWidgetClass;
typedef struct _XwRotLabelRec		*XwRotLabelWidget;


#ifndef XwNrotation
#  define XwNrotation	"rotation"
#endif

#ifndef XwCRotation
#  define XwCRotation	"Rotation"
#endif

#ifndef XwNRotCenter
#  define XwNRotCenter	"Rotcenter"
#endif

#ifndef XwCRotCenter
#  define XwCRotCenter	"Rotcenter"
#endif

#ifndef XwCRotcenterx
#  define XwCRotcenterx	"Rotcenterx"
#endif

#ifndef XwNRotcenterx
#  define XwNRotcenterx	"Rotcenterx"
#endif

#ifndef XwCRotcenterx
#  define XwCRotcenterx	"Rotcenterx"
#endif

#ifndef XwNRotcentery
#  define XwNRotcentery	"Rotcentery"
#endif

#ifndef XwCRotcentery
#  define XwCRotcentery	"Rotcentery"
#endif

#ifndef XwNmarginWidth
#  define XwNmarginWidth	"marginwidth"
#endif

#ifndef XwCmarginWidth
#  define XwCmarginWidth	"marginwidth"
#endif



/*
 * Is RotLabel macro
 */
#define XwIsRotLabel(w)	(XtIsSubclass (w, xwRotLabelWidgetClass))


/*
 * Convienience creation function
 */
#ifndef _NO_PROTO
  Widget XwCreateRotLabel(Widget parent, char *name, ArgList al, Cardinal ac);
  void XwSetRotValues(Widget w, ArgList args, Cardinal num_args);
#else
  Widget XwCreateRotLabel();
  void XwSetRotValues();
#endif


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* _XwRotLabel_h */
